      subroutine monfil (iymo, root, monex, lenam)

      character*(*) monex
      character*(*) root

      character*6 chival, yearmo
      
      logical exists

      yearmo = chival(iymo)
      monex = root//yearmo(1:4)//'\'//yearmo//'.FFB'
      inquire (file=monex, exist=exists)
      if (exists) then
	lenam = len_trim(monex)
      else
	lenam = 0
      end if
      return
      end

